[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[FYI] {master} tests: texinfo unrecognized extensions
From: |
Stefano Lattarini |
Subject: |
[FYI] {master} tests: texinfo unrecognized extensions |
Date: |
Tue, 11 Jan 2011 02:25:40 +0100 |
User-agent: |
KMail/1.13.3 (Linux/2.6.30-2-686; KDE/4.4.4; i686; ; ) |
I've applied the attached patch to master as obvious, and pushed.
Regards,
Stefano
-*-*-
* tests/txinfo-unrecognized-extension.test: New test.
* tests/Makefile.am (TESTS): Update.
---
ChangeLog | 4 +++
tests/Makefile.am | 1 +
tests/Makefile.in | 1 +
tests/txinfo-unrecognized-extension.test | 40 ++++++++++++++++++++++++++++++
4 files changed, 46 insertions(+), 0 deletions(-)
create mode 100755 tests/txinfo-unrecognized-extension.test
From ad748b8323dd2bac0dd61ac17c72ad363c68055c Mon Sep 17 00:00:00 2001
From: Stefano Lattarini <address@hidden>
Date: Tue, 11 Jan 2011 02:20:19 +0100
Subject: [PATCH] tests: texinfo unrecognized extensions
* tests/txinfo-unrecognized-extension.test: New test.
* tests/Makefile.am (TESTS): Update.
---
ChangeLog | 4 +++
tests/Makefile.am | 1 +
tests/Makefile.in | 1 +
tests/txinfo-unrecognized-extension.test | 40 ++++++++++++++++++++++++++++++
4 files changed, 46 insertions(+), 0 deletions(-)
create mode 100755 tests/txinfo-unrecognized-extension.test
diff --git a/ChangeLog b/ChangeLog
index 1d69f4b..57c4241 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,9 @@
2011-01-11 Stefano Lattarini <address@hidden>
+ tests: texinfo unrecognized extensions
+ * tests/txinfo-unrecognized-extension.test: New test.
+ * tests/Makefile.am (TESTS): Update.
+
Improve, extend and tweak tests on Texinfo support.
* tests/instdir-texi.test: Add a call to `ls -l' after that to
`make', for debugging. When looking for required tools, do not
diff --git a/tests/Makefile.am b/tests/Makefile.am
index ed42398..5fcb616 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -903,6 +903,7 @@ txinfo30.test \
txinfo31.test \
txinfo32.test \
txinfo33.test \
+txinfo-unrecognized-extension.test \
transform.test \
transform2.test \
unused.test \
diff --git a/tests/Makefile.in b/tests/Makefile.in
index 84abf4d..591bc19 100644
--- a/tests/Makefile.in
+++ b/tests/Makefile.in
@@ -1166,6 +1166,7 @@ txinfo30.test \
txinfo31.test \
txinfo32.test \
txinfo33.test \
+txinfo-unrecognized-extension.test \
transform.test \
transform2.test \
unused.test \
diff --git a/tests/txinfo-unrecognized-extension.test
b/tests/txinfo-unrecognized-extension.test
new file mode 100755
index 0000000..94f217f
--- /dev/null
+++ b/tests/txinfo-unrecognized-extension.test
@@ -0,0 +1,40 @@
+#! /bin/sh
+# Copyright (C) 2011 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Test that automake complains properly when the files with unrecognized
+# extensions are passed to the TEXINFOS primary.
+
+. ./defs || Exit 1
+
+set -e
+
+cat > Makefile.am << 'END'
+info_TEXINFOS = foobar.foo bazquux.tex zardoz.c
+END
+
+echo '@setfilename foobar.info' > foobar.foo
+echo '@setfilename bazquux.info' > bazquux.tex
+echo '@setfilename zardoz.info' > zardoz.c
+: > texinfo.tex
+
+$ACLOCAL
+AUTOMAKE_fails
+
+for x in 'foobar\.foo' 'bazquux\.tex' 'zardoz\.c'; do
+ grep "^Makefile\\.am:.* texinfo file .*$x.* unrecognized extension" stderr
+done
+
+:
--
1.7.2.3
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [FYI] {master} tests: texinfo unrecognized extensions,
Stefano Lattarini <=